#include "QFileInfo"
#include "QTextStream"


int main(int  argc , char* argv[] )
{
	QTextStream out(stdout);
 
	int ni;
	for ( ni = 0; ni < argc; ni++ ){
		out << "argv[" << ni << "]:" << argv[ni] << endl;
	}
	if(argc>1){
		//	secound parameter is check path.
		QFileInfo fInfo(QString::fromLocal8Bit(argv[1]));
		out << "finfo absoluteFilePath() = " + fInfo.absoluteFilePath() << endl;
		out << "finfo absolutePath() = " << fInfo.absolutePath() << endl;
		out << "finfo baseName() = " << fInfo.baseName() << endl;
	
		out << "finfo canonicalFilePath() = " << fInfo.canonicalFilePath() << endl;
		out << "finfo canonicalPath() = " << fInfo.canonicalPath() << endl;
		out << "finfo completeBaseName() = " << fInfo.completeBaseName() << endl;
		out << "finfo completeSuffix() = " << fInfo.completeSuffix() << endl;
	}
	return 0;
}

